package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 报表分页查询参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-22
 * @Modify:
 **/
@Data
@Api("报表分页查询参数")
public class ReportPager extends Pager {
    private String filter;  // 物料筛选条件
    private Date begin;     // 统计开始时间
    private Date end;       // 统计结束时间
    private ApsEnumUtil.MATERIAL_REPORT_TYPE type;
    private ApsEnumUtil.REPORT_TIME_SPAN span;  // 统计时间间隔
}
